Name:           perl-Test-Expect
Version:        0.30
Release:        1%{?dist}
Summary:        Automated driving and testing of terminal-based programs

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Test-Expect/
Source0:        http://www.cpan.org/authors/id/L/LB/LBROCARD/Test-Expect-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Class::Accessor::Chained::Fast)
BuildRequires:  perl(Expect::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Expect is a module for automated driving and testing of
terminal-based programs. It is handy for testing interactive programs
which have a prompt, and is based on the same concepts as the Tcl Expect
tool. As in Expect::Simple, the Expect object is made available for
tweaking.

Test::Expect is intended for use in a test script.


%prep
%setup -q -n Test-Expect-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
chmod -R u+w $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm*


%changelog
* Wed May 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.30-1
- First build.
